> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuration change log for agents, rules and tools

> Changes

### Query parameters

<ParamField query="limit" type="integer" />

<ParamField query="offset" type="integer" />

<ParamField query="resource_id" type="string" />

### Response

`object`

<ResponseField name="object" type="string" />

<ResponseField name="data" type="object[]" />

<ResponseField name="has_more" type="boolean" />

<ResponseField name="next_cursor" type="string">
  Keyset cursor for the next page — present only on cursor-capable lists with more rows.
</ResponseField>

### Status codes

| Code  | Meaning                               |
| ----- | ------------------------------------- |
| `200` | Changes                               |
| `401` | Missing, invalid, or expired API key. |
| `403` | The key lacks a required scope.       |
| `429` | Rate limit exceeded.                  |

### Access

|                |                         |
| -------------- | ----------------------- |
| Required scope | `agents:read`           |
| Rate limit     | 120 requests per minute |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://response.stateset.com/api/v1/changes' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {}
    ],
    "has_more": true,
    "next_cursor": "string"
  }
  ```
</ResponseExample>
